package com.example.micrometerdemo;

import io.micrometer.context.ContextExecutorService;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;

@SpringBootApplication
public class MicrometerDemoApplication {

	public static void main(String[] args) {
		SpringApplication.run(MicrometerDemoApplication.class, args);
	}

	@Bean
	ExecutorService executorService() {
		return ContextExecutorService.wrap(Executors.newFixedThreadPool(3));
	}
}
